#ifndef PW_WINDOW_HPP
#define PW_WINDOW_HPP

#include <pw/core/globals.hpp>

namespace pw {

class window {
public:

    window();
    ~window();

    bool update();

	void set_title(const std::string& title);
    void set_size(int w, int h);

//    context* get_context();

	int get_heigth();
	int get_width();

protected:

	struct impl;
	std::unique_ptr<impl> _impl;

};

}

#endif
